# Uses of Class
org.eclipse.ecf.provider.remoteservice.generic.Response

Packages that use Response
Package
Description
org.eclipse.ecf.provider.remoteservice.generic

## Uses of Response in org.eclipse.ecf.provider.remoteservice.generic

Methods in org.eclipse.ecf.provider.remoteservice.generic that return Response
Modifier and Type
Method
Description
`protected Response`
RegistrySharedObject.`deserializeCallResponse(byte[] responseBytes)`
`protected Response`
Request.`getResponse()`
Methods in org.eclipse.ecf.provider.remoteservice.generic with parameters of type Response
Modifier and Type
Method
Description
`protected void`
RegistrySharedObject.`handleCallResponse(Response response)`
`protected void`
RegistrySharedObject.`sendCallResponse(ID responseTarget, Response response)`
`protected byte[]`
RegistrySharedObject.`serializeCallResponse(Response response)`
`protected void`
Request.`setResponse(Response response)`